package sun.management.snmp.jvmmib;

import java.util.Hashtable;
import java.io.Serializable;
import com.sun.jmx.snmp.Enumerated;

public class EnumJvmMemPoolThreshdSupport extends Enumerated implements Serializable
{
    static final long serialVersionUID = 7014693561120661029L;
    protected static Hashtable<Integer, String> intTable;
    protected static Hashtable<String, Integer> stringTable;
    
    public EnumJvmMemPoolThreshdSupport(int n) throws IllegalArgumentException {
        super(n);
    }
    
    public EnumJvmMemPoolThreshdSupport(Integer n) throws IllegalArgumentException {
        super(n);
    }
    
    public EnumJvmMemPoolThreshdSupport() throws IllegalArgumentException {
    }
    
    public EnumJvmMemPoolThreshdSupport(String s) throws IllegalArgumentException {
        super(s);
    }
    
    protected Hashtable<Integer, String> getIntTable() {
        return EnumJvmMemPoolThreshdSupport.intTable;
    }
    
    protected Hashtable<String, Integer> getStringTable() {
        return EnumJvmMemPoolThreshdSupport.stringTable;
    }
    
    static {
        EnumJvmMemPoolThreshdSupport.intTable = new Hashtable();
        EnumJvmMemPoolThreshdSupport.stringTable = new Hashtable();
        EnumJvmMemPoolThreshdSupport.intTable.put(new Integer(2), "supported");
        EnumJvmMemPoolThreshdSupport.intTable.put(new Integer(1), "unsupported");
        EnumJvmMemPoolThreshdSupport.stringTable.put("supported", new Integer(2));
        EnumJvmMemPoolThreshdSupport.stringTable.put("unsupported", new Integer(1));
    }
}
